Add a alert to the alerting queue

Adds an alert to the alerting queue

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Requirements

To create an Alert, we require the GRADIENT-TOKEN to contain both the Vendor API Key and Partner API Key.

The accountId, title, description, alertId, priority, and status fields are required. See details regarding each field below.

  • accountId - This represents the unique accountId you used during the Create an Account API Call
  • title - This represents the alert title
  • description - This represents the body of the alert being created
  • alertId - This represents the unique identifier for the notification on your end, allowing you to reference the alert later on
  • priority - This represents the priority for the ticket within the PSA - default priority is 1
  • status - This represents the status the ticket is created in the PSA - default status is 1
  • dueDateTime - This field is optional and represents when the alert should be resolved by
  • serviceId - This field is optional and allows you to break alerts out by service. You can associate the service that the alert is in reference to

Sample Response

When you create an Alert, it will be added to a queue for processing. Once processed, you can use the messageId in the Checks if a ticket created is from the sent alert API Call.

{
  "messageId": "ff...ca-e..7-4..6-9..8-f6...e6",
  "alertId": "1",
  "correlationID": "64...a6"
}
Path Params
string
required
Body Params
string
required

Name of alert.

string
required
string
required

A unique identifier for the Alert.

number
required
1 to 4
Defaults to 1

Priority which maps to Ticket. { 1: low, 2: medium, 3: high, 4: very_high }

number
required
1 to 6
Defaults to 1

Status which maps to Ticket.

date-time

Due Date.

string

Relevant Service associated to alert

Responses

401

Unauthorized

403

Forbidden

404

Unknown resource

500

Alert failed to be added to queue

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json